#!/usr/bin/env bash

source ../../dmp_env.sh

begin_day=$(date -d "$ScheduleTime 43 days ago" +"%Y-%m-%d")
end_day01=$(date -d "$ScheduleTime 7 days ago" +"%Y-%m-%d")
end_day02=$(date -d "$ScheduleTime 1 days ago" +"%Y-%m-%d")
dt_slash_today=$(date -d "$ScheduleTime 1 days ago" +"%Y/%m/%d")


check_await "${TMP_EGGPLANTS_OUTPUT_PATH}/${dt_slash_today}"

hadoop fs -test -e "${ODS_OTHER_DEVICE_DAILY}/${dt_slash_today}"
if [ $? -ne 0 ];then
  hadoop fs -mkdir -p "${ODS_OTHER_DEVICE_DAILY}/${dt_slash_today}"
fi


OUTPUT_PATH01="${TMP_COM_TOPON_TOPLTV_1015_PATH}/${dt_slash_today}/01"
OUTPUT_PATH02="${TMP_COM_TOPON_TOPLTV_1015_PATH}/${dt_slash_today}/02"
hadoop fs -rm -r "${OUTPUT_PATH01}"
hadoop fs -rm -r "${OUTPUT_PATH02}"

spark-submit --class mobvista.dmp.datasource.dm.ComToponTopltv1015 \
 --conf spark.yarn.executor.memoryOverhead=2048  \
 --conf spark.default.parallelism=2000 \
 --conf spark.sql.shuffle.partitions=2000 \
 --conf spark.driver.maxResultSize=4g \
 --conf spark.network.timeout=720s \
 --master yarn --deploy-mode cluster  --executor-memory 8g --driver-memory 6g  --executor-cores 5  --num-executors 40 \
 ../../${JAR} -begin_day ${begin_day}   -end_day01 ${end_day01}  -end_day02  ${end_day02} -output01 ${OUTPUT_PATH01}  -output02 ${OUTPUT_PATH02}   -coalesce 400


if [[ $? -ne 0 ]]; then
    exit 255
fi

hadoop distcp -m20  "${OUTPUT_PATH01}/*" "${TMP_EGGPLANTS_OUTPUT_PATH}/${dt_slash_today}/"
hadoop distcp -m20  "${OUTPUT_PATH02}/*" "${ODS_OTHER_DEVICE_DAILY}/${dt_slash_today}/"


: '
任务说明
产品反馈数据量不足，改变begin_day增加数据
'